
_uart1:

;MyProject.mbas,50 :: 		sub procedure uart1()
;MyProject.mbas,51 :: 		if (UART1_Data_Ready() <> 0) then  ' If data is received,
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__uart12
;MyProject.mbas,53 :: 		uart_rd = UART1_Read()
	CALL       _UART1_Read+0
	MOVF       R0+0, 0
	MOVWF      _uart_rd+0
	CLRF       _uart_rd+1
;MyProject.mbas,58 :: 		Lcd_Out(2,11,msg)
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      11
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _msg+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
L__uart12:
;MyProject.mbas,60 :: 		end sub
L_end_uart1:
	RETURN
; end of _uart1

_process:

;MyProject.mbas,62 :: 		sub procedure process()  ' process  LED blink indicator
;MyProject.mbas,63 :: 		portb.7=1
	BSF        PORTB+0, 7
;MyProject.mbas,64 :: 		Delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__process5:
	DECFSZ     R13+0, 1
	GOTO       L__process5
	DECFSZ     R12+0, 1
	GOTO       L__process5
	DECFSZ     R11+0, 1
	GOTO       L__process5
	NOP
	NOP
;MyProject.mbas,66 :: 		portb.7=0
	BCF        PORTB+0, 7
;MyProject.mbas,67 :: 		Delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__process6:
	DECFSZ     R13+0, 1
	GOTO       L__process6
	DECFSZ     R12+0, 1
	GOTO       L__process6
	DECFSZ     R11+0, 1
	GOTO       L__process6
	NOP
	NOP
;MyProject.mbas,68 :: 		portb.7=1
	BSF        PORTB+0, 7
;MyProject.mbas,69 :: 		Delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__process7:
	DECFSZ     R13+0, 1
	GOTO       L__process7
	DECFSZ     R12+0, 1
	GOTO       L__process7
	DECFSZ     R11+0, 1
	GOTO       L__process7
	NOP
	NOP
;MyProject.mbas,71 :: 		portb.7=0
	BCF        PORTB+0, 7
;MyProject.mbas,73 :: 		end sub
L_end_process:
	RETURN
; end of _process

_allon:

;MyProject.mbas,75 :: 		sub procedure allon()
;MyProject.mbas,76 :: 		porta=%11111111
	MOVLW      255
	MOVWF      PORTA+0
;MyProject.mbas,77 :: 		portc=%11111111
	MOVLW      255
	MOVWF      PORTC+0
;MyProject.mbas,79 :: 		end sub
L_end_allon:
	RETURN
; end of _allon

_L1go:

;MyProject.mbas,80 :: 		sub procedure L1go()
;MyProject.mbas,81 :: 		porta.0=0 'stop off lane1
	BCF        PORTA+0, 0
;MyProject.mbas,82 :: 		porta.1=0  'ready  off lane1
	BCF        PORTA+0, 1
;MyProject.mbas,83 :: 		porta.2=1  'go on lane 1
	BSF        PORTA+0, 2
;MyProject.mbas,84 :: 		end sub
L_end_L1go:
	RETURN
; end of _L1go

_L1rd:

;MyProject.mbas,85 :: 		sub procedure L1rd()
;MyProject.mbas,86 :: 		porta.0=0 'stop off lane1
	BCF        PORTA+0, 0
;MyProject.mbas,87 :: 		porta.1=1  'ready  on lane1
	BSF        PORTA+0, 1
;MyProject.mbas,88 :: 		porta.2=0  'go off lane 1
	BCF        PORTA+0, 2
;MyProject.mbas,89 :: 		end sub
L_end_L1rd:
	RETURN
; end of _L1rd

_L1stop:

;MyProject.mbas,90 :: 		sub procedure L1stop()
;MyProject.mbas,91 :: 		porta.0=1 'stop onlane1
	BSF        PORTA+0, 0
;MyProject.mbas,92 :: 		porta.1=0  'ready  off lane1
	BCF        PORTA+0, 1
;MyProject.mbas,93 :: 		porta.2=0  'go off lane 1
	BCF        PORTA+0, 2
;MyProject.mbas,94 :: 		end sub
L_end_L1stop:
	RETURN
; end of _L1stop

_L2go:

;MyProject.mbas,96 :: 		sub procedure L2go()
;MyProject.mbas,97 :: 		porta.3=0 'stop off lane1
	BCF        PORTA+0, 3
;MyProject.mbas,98 :: 		porta.4=0  'ready  off lane1
	BCF        PORTA+0, 4
;MyProject.mbas,99 :: 		porta.5=1  'go on lane 1
	BSF        PORTA+0, 5
;MyProject.mbas,100 :: 		end sub
L_end_L2go:
	RETURN
; end of _L2go

_L2rd:

;MyProject.mbas,101 :: 		sub procedure L2rd()
;MyProject.mbas,102 :: 		porta.3=0 'stop off lane1
	BCF        PORTA+0, 3
;MyProject.mbas,103 :: 		porta.4=1  'ready  on lane1
	BSF        PORTA+0, 4
;MyProject.mbas,104 :: 		porta.5=0  'go off lane 1
	BCF        PORTA+0, 5
;MyProject.mbas,105 :: 		end sub
L_end_L2rd:
	RETURN
; end of _L2rd

_L2stop:

;MyProject.mbas,106 :: 		sub procedure L2stop()
;MyProject.mbas,107 :: 		porta.3=1 'stop onlane1
	BSF        PORTA+0, 3
;MyProject.mbas,108 :: 		porta.4=0  'ready  off lane1
	BCF        PORTA+0, 4
;MyProject.mbas,109 :: 		porta.5=0  'go off lane 1
	BCF        PORTA+0, 5
;MyProject.mbas,110 :: 		end sub
L_end_L2stop:
	RETURN
; end of _L2stop

_L3go:

;MyProject.mbas,112 :: 		sub procedure L3go()
;MyProject.mbas,113 :: 		portc.0=0 'stop off lane1
	BCF        PORTC+0, 0
;MyProject.mbas,114 :: 		portc.1=0  'ready  off lane1
	BCF        PORTC+0, 1
;MyProject.mbas,115 :: 		portc.2=1  'go on lane 1
	BSF        PORTC+0, 2
;MyProject.mbas,116 :: 		end sub
L_end_L3go:
	RETURN
; end of _L3go

_L3rd:

;MyProject.mbas,117 :: 		sub procedure L3rd()
;MyProject.mbas,118 :: 		portc.0=0 'stop off lane1
	BCF        PORTC+0, 0
;MyProject.mbas,119 :: 		portc.1=1  'ready  on lane1
	BSF        PORTC+0, 1
;MyProject.mbas,120 :: 		portc.2=0  'go off lane 1
	BCF        PORTC+0, 2
;MyProject.mbas,121 :: 		end sub
L_end_L3rd:
	RETURN
; end of _L3rd

_L3stop:

;MyProject.mbas,122 :: 		sub procedure L3stop()
;MyProject.mbas,123 :: 		portc.0=1 'stop onlane1
	BSF        PORTC+0, 0
;MyProject.mbas,124 :: 		portc.1=0  'ready  off lane1
	BCF        PORTC+0, 1
;MyProject.mbas,125 :: 		portc.2=0  'go off lane 1
	BCF        PORTC+0, 2
;MyProject.mbas,126 :: 		end sub
L_end_L3stop:
	RETURN
; end of _L3stop

_L4go:

;MyProject.mbas,128 :: 		sub procedure L4go()
;MyProject.mbas,129 :: 		portc.3=0 'stop off lane1
	BCF        PORTC+0, 3
;MyProject.mbas,130 :: 		portc.4=0  'ready  off lane1
	BCF        PORTC+0, 4
;MyProject.mbas,131 :: 		portc.5=1  'go on lane 1
	BSF        PORTC+0, 5
;MyProject.mbas,132 :: 		end sub
L_end_L4go:
	RETURN
; end of _L4go

_L4rd:

;MyProject.mbas,133 :: 		sub procedure L4rd()
;MyProject.mbas,134 :: 		portc.3=0 'stop off lane1
	BCF        PORTC+0, 3
;MyProject.mbas,135 :: 		portc.4=1  'ready  on lane1
	BSF        PORTC+0, 4
;MyProject.mbas,136 :: 		portc.5=0  'go off lane 1
	BCF        PORTC+0, 5
;MyProject.mbas,137 :: 		end sub
L_end_L4rd:
	RETURN
; end of _L4rd

_L4stop:

;MyProject.mbas,138 :: 		sub procedure L4stop()
;MyProject.mbas,139 :: 		portc.3=1 'stop onlane1
	BSF        PORTC+0, 3
;MyProject.mbas,140 :: 		portc.4=0  'ready  off lane1
	BCF        PORTC+0, 4
;MyProject.mbas,141 :: 		portc.5=0  'go off lane 1
	BCF        PORTC+0, 5
;MyProject.mbas,142 :: 		end sub
L_end_L4stop:
	RETURN
; end of _L4stop

_counter:

;MyProject.mbas,143 :: 		sub procedure counter()
;MyProject.mbas,144 :: 		cnt= 10
	MOVLW      10
	MOVWF      _cnt+0
;MyProject.mbas,145 :: 		cnt1=10
	MOVLW      10
	MOVWF      _cnt1+0
;MyProject.mbas,146 :: 		cnt2=10 'delay
	MOVLW      10
	MOVWF      _cnt2+0
;MyProject.mbas,147 :: 		cnt3=10  'delay
	MOVLW      10
	MOVWF      _cnt3+0
;MyProject.mbas,148 :: 		cnt4=10 'emergency
	MOVLW      10
	MOVWF      _cnt4+0
;MyProject.mbas,149 :: 		end sub
L_end_counter:
	RETURN
; end of _counter

_main:

;MyProject.mbas,150 :: 		main:
;MyProject.mbas,151 :: 		ANSEL=0          '16F887
	CLRF       ANSEL+0
;MyProject.mbas,152 :: 		ANSELH=0       '16F887
	CLRF       ANSELH+0
;MyProject.mbas,153 :: 		ADCON1 = 0x80             ' A/D voltage reference is VCC
	MOVLW      128
	MOVWF      ADCON1+0
;MyProject.mbas,154 :: 		car2=0
	CLRF       _car2+0
;MyProject.mbas,155 :: 		car1=5
	MOVLW      5
	MOVWF      _car1+0
;MyProject.mbas,158 :: 		TRISA=0
	CLRF       TRISA+0
;MyProject.mbas,159 :: 		TRISB = 0
	CLRF       TRISB+0
;MyProject.mbas,160 :: 		TRISC=0
	CLRF       TRISC+0
;MyProject.mbas,161 :: 		TRISD = 0
	CLRF       TRISD+0
;MyProject.mbas,162 :: 		porta=%00000000
	CLRF       PORTA+0
;MyProject.mbas,163 :: 		portc=%00000000
	CLRF       PORTC+0
;MyProject.mbas,164 :: 		porte=%00000000
	CLRF       PORTE+0
;MyProject.mbas,165 :: 		portd=%00000000
	CLRF       PORTD+0
;MyProject.mbas,166 :: 		portb=%00000000
	CLRF       PORTB+0
;MyProject.mbas,167 :: 		Keypad_Init()       ' Initialize keypad on PORTC
	CALL       _Keypad_Init+0
;MyProject.mbas,168 :: 		Lcd_Init()          ' Initialize LCD on PORTB,
	CALL       _Lcd_Init+0
;MyProject.mbas,169 :: 		Lcd_Cmd(_LCD_CLEAR) ' Clear display
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,173 :: 		UART1_Init(9600)
	MOVLW      51
	MOVWF      SPBRG+0
	BSF        TXSTA+0, 2
	CALL       _UART1_Init+0
;MyProject.mbas,174 :: 		Delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main24:
	DECFSZ     R13+0, 1
	GOTO       L__main24
	DECFSZ     R12+0, 1
	GOTO       L__main24
	DECFSZ     R11+0, 1
	GOTO       L__main24
	NOP
	NOP
;MyProject.mbas,176 :: 		UART1_Write_Text("connected ")
	MOVLW      99
	MOVWF      ?LocalText_main+0
	MOVLW      111
	MOVWF      ?LocalText_main+1
	MOVLW      110
	MOVWF      ?LocalText_main+2
	MOVLW      110
	MOVWF      ?LocalText_main+3
	MOVLW      101
	MOVWF      ?LocalText_main+4
	MOVLW      99
	MOVWF      ?LocalText_main+5
	MOVLW      116
	MOVWF      ?LocalText_main+6
	MOVLW      101
	MOVWF      ?LocalText_main+7
	MOVLW      100
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	CLRF       ?LocalText_main+10
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
;MyProject.mbas,180 :: 		Lcd_Cmd(_LCD_CURSOR_OFF)
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,181 :: 		Lcd_Out(1,1,"Hothaifa12S09152")          'write message text on LCD
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      72
	MOVWF      ?LocalText_main+0
	MOVLW      111
	MOVWF      ?LocalText_main+1
	MOVLW      116
	MOVWF      ?LocalText_main+2
	MOVLW      104
	MOVWF      ?LocalText_main+3
	MOVLW      97
	MOVWF      ?LocalText_main+4
	MOVLW      105
	MOVWF      ?LocalText_main+5
	MOVLW      102
	MOVWF      ?LocalText_main+6
	MOVLW      97
	MOVWF      ?LocalText_main+7
	MOVLW      49
	MOVWF      ?LocalText_main+8
	MOVLW      50
	MOVWF      ?LocalText_main+9
	MOVLW      83
	MOVWF      ?LocalText_main+10
	MOVLW      48
	MOVWF      ?LocalText_main+11
	MOVLW      57
	MOVWF      ?LocalText_main+12
	MOVLW      49
	MOVWF      ?LocalText_main+13
	MOVLW      53
	MOVWF      ?LocalText_main+14
	MOVLW      50
	MOVWF      ?LocalText_main+15
	CLRF       ?LocalText_main+16
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,182 :: 		Lcd_Out(2,1,"AbdulMjd12J09173")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      65
	MOVWF      ?LocalText_main+0
	MOVLW      98
	MOVWF      ?LocalText_main+1
	MOVLW      100
	MOVWF      ?LocalText_main+2
	MOVLW      117
	MOVWF      ?LocalText_main+3
	MOVLW      108
	MOVWF      ?LocalText_main+4
	MOVLW      77
	MOVWF      ?LocalText_main+5
	MOVLW      106
	MOVWF      ?LocalText_main+6
	MOVLW      100
	MOVWF      ?LocalText_main+7
	MOVLW      49
	MOVWF      ?LocalText_main+8
	MOVLW      50
	MOVWF      ?LocalText_main+9
	MOVLW      74
	MOVWF      ?LocalText_main+10
	MOVLW      48
	MOVWF      ?LocalText_main+11
	MOVLW      57
	MOVWF      ?LocalText_main+12
	MOVLW      49
	MOVWF      ?LocalText_main+13
	MOVLW      55
	MOVWF      ?LocalText_main+14
	MOVLW      51
	MOVWF      ?LocalText_main+15
	CLRF       ?LocalText_main+16
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,183 :: 		delay_ms(3000)
	MOVLW      31
	MOVWF      R11+0
	MOVLW      113
	MOVWF      R12+0
	MOVLW      30
	MOVWF      R13+0
L__main25:
	DECFSZ     R13+0, 1
	GOTO       L__main25
	DECFSZ     R12+0, 1
	GOTO       L__main25
	DECFSZ     R11+0, 1
	GOTO       L__main25
	NOP
;MyProject.mbas,184 :: 		Lcd_Out(1,1,"Auto TakeOff and")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      65
	MOVWF      ?LocalText_main+0
	MOVLW      117
	MOVWF      ?LocalText_main+1
	MOVLW      116
	MOVWF      ?LocalText_main+2
	MOVLW      111
	MOVWF      ?LocalText_main+3
	MOVLW      32
	MOVWF      ?LocalText_main+4
	MOVLW      84
	MOVWF      ?LocalText_main+5
	MOVLW      97
	MOVWF      ?LocalText_main+6
	MOVLW      107
	MOVWF      ?LocalText_main+7
	MOVLW      101
	MOVWF      ?LocalText_main+8
	MOVLW      79
	MOVWF      ?LocalText_main+9
	MOVLW      102
	MOVWF      ?LocalText_main+10
	MOVLW      102
	MOVWF      ?LocalText_main+11
	MOVLW      32
	MOVWF      ?LocalText_main+12
	MOVLW      97
	MOVWF      ?LocalText_main+13
	MOVLW      110
	MOVWF      ?LocalText_main+14
	MOVLW      100
	MOVWF      ?LocalText_main+15
	CLRF       ?LocalText_main+16
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,185 :: 		Lcd_Out(2,1,"Landing Project ")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      76
	MOVWF      ?LocalText_main+0
	MOVLW      97
	MOVWF      ?LocalText_main+1
	MOVLW      110
	MOVWF      ?LocalText_main+2
	MOVLW      100
	MOVWF      ?LocalText_main+3
	MOVLW      105
	MOVWF      ?LocalText_main+4
	MOVLW      110
	MOVWF      ?LocalText_main+5
	MOVLW      103
	MOVWF      ?LocalText_main+6
	MOVLW      32
	MOVWF      ?LocalText_main+7
	MOVLW      80
	MOVWF      ?LocalText_main+8
	MOVLW      114
	MOVWF      ?LocalText_main+9
	MOVLW      111
	MOVWF      ?LocalText_main+10
	MOVLW      106
	MOVWF      ?LocalText_main+11
	MOVLW      101
	MOVWF      ?LocalText_main+12
	MOVLW      99
	MOVWF      ?LocalText_main+13
	MOVLW      116
	MOVWF      ?LocalText_main+14
	MOVLW      32
	MOVWF      ?LocalText_main+15
	CLRF       ?LocalText_main+16
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,186 :: 		delay_ms(500)
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L__main26:
	DECFSZ     R13+0, 1
	GOTO       L__main26
	DECFSZ     R12+0, 1
	GOTO       L__main26
	DECFSZ     R11+0, 1
	GOTO       L__main26
	NOP
	NOP
;MyProject.mbas,189 :: 		kp = 0            ' Start of program
	CLRF       _kp+0
;MyProject.mbas,190 :: 		s1=1   'space for character before passkey
	MOVLW      1
	MOVWF      _s1+0
;MyProject.mbas,191 :: 		counter()
	CALL       _counter+0
;MyProject.mbas,198 :: 		while true          ' Wait for some key to be pressed and released
L__main29:
;MyProject.mbas,205 :: 		if (UART1_Data_Ready() <> 0) then  ' If data is received,
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__main34
;MyProject.mbas,207 :: 		uart_rd = UART1_Read()
	CALL       _UART1_Read+0
	MOVF       R0+0, 0
	MOVWF      _uart_rd+0
	CLRF       _uart_rd+1
;MyProject.mbas,208 :: 		UART1_Write(uart_rd)
	MOVF       _uart_rd+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;MyProject.mbas,209 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,210 :: 		inttostr(uart_rd,msg)     'display to lcd
	MOVF       _uart_rd+0, 0
	MOVWF      FARG_IntToStr_input+0
	MOVF       _uart_rd+1, 0
	MOVWF      FARG_IntToStr_input+1
	MOVLW      _msg+0
	MOVWF      FARG_IntToStr_output+0
	CALL       _IntToStr+0
;MyProject.mbas,211 :: 		Lcd_Out(2,11,msg)
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      11
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _msg+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,213 :: 		if (uart_rd=65) then
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main187
	MOVLW      65
	XORWF      _uart_rd+0, 0
L__main187:
	BTFSS      STATUS+0, 2
	GOTO       L__main39
;MyProject.mbas,214 :: 		reset:
L__main_reset:
;MyProject.mbas,215 :: 		counter()
	CALL       _counter+0
;MyProject.mbas,216 :: 		delay1:  'lane1
L__main_delay1:
;MyProject.mbas,218 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,219 :: 		Lcd_Out(2,1,"System start  ")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      83
	MOVWF      ?LocalText_main+0
	MOVLW      121
	MOVWF      ?LocalText_main+1
	MOVLW      115
	MOVWF      ?LocalText_main+2
	MOVLW      116
	MOVWF      ?LocalText_main+3
	MOVLW      101
	MOVWF      ?LocalText_main+4
	MOVLW      109
	MOVWF      ?LocalText_main+5
	MOVLW      32
	MOVWF      ?LocalText_main+6
	MOVLW      115
	MOVWF      ?LocalText_main+7
	MOVLW      116
	MOVWF      ?LocalText_main+8
	MOVLW      97
	MOVWF      ?LocalText_main+9
	MOVLW      114
	MOVWF      ?LocalText_main+10
	MOVLW      116
	MOVWF      ?LocalText_main+11
	MOVLW      32
	MOVWF      ?LocalText_main+12
	MOVLW      32
	MOVWF      ?LocalText_main+13
	CLRF       ?LocalText_main+14
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,220 :: 		porta=%00010000
	MOVLW      16
	MOVWF      PORTA+0
;MyProject.mbas,221 :: 		dec(cnt)
	DECF       _cnt+0, 1
;MyProject.mbas,222 :: 		WordToStr(cnt,count)
	MOVF       _cnt+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,223 :: 		Lcd_Out(1,11,count)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      11
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,224 :: 		delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main43:
	DECFSZ     R13+0, 1
	GOTO       L__main43
	DECFSZ     R12+0, 1
	GOTO       L__main43
	DECFSZ     R11+0, 1
	GOTO       L__main43
	NOP
	NOP
;MyProject.mbas,226 :: 		if (cnt=0) then
	MOVF       _cnt+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main45
;MyProject.mbas,227 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,228 :: 		cnt1=10  'delay ready
	MOVLW      10
	MOVWF      _cnt1+0
;MyProject.mbas,229 :: 		cnt2=10  'delay
	MOVLW      10
	MOVWF      _cnt2+0
;MyProject.mbas,230 :: 		cnt3=10  'delay
	MOVLW      10
	MOVWF      _cnt3+0
;MyProject.mbas,231 :: 		uart1()
	CALL       _uart1+0
;MyProject.mbas,232 :: 		goto delay2
	GOTO       L__main_delay2
L__main45:
;MyProject.mbas,235 :: 		goto delay1 'end of delay 1
	GOTO       L__main_delay1
;MyProject.mbas,238 :: 		delay2:
L__main_delay2:
;MyProject.mbas,239 :: 		Lcd_Out(2,1,"LOW SPEED FLIGHT")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      76
	MOVWF      ?LocalText_main+0
	MOVLW      79
	MOVWF      ?LocalText_main+1
	MOVLW      87
	MOVWF      ?LocalText_main+2
	MOVLW      32
	MOVWF      ?LocalText_main+3
	MOVLW      83
	MOVWF      ?LocalText_main+4
	MOVLW      80
	MOVWF      ?LocalText_main+5
	MOVLW      69
	MOVWF      ?LocalText_main+6
	MOVLW      69
	MOVWF      ?LocalText_main+7
	MOVLW      68
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	MOVLW      70
	MOVWF      ?LocalText_main+10
	MOVLW      76
	MOVWF      ?LocalText_main+11
	MOVLW      73
	MOVWF      ?LocalText_main+12
	MOVLW      71
	MOVWF      ?LocalText_main+13
	MOVLW      72
	MOVWF      ?LocalText_main+14
	MOVLW      84
	MOVWF      ?LocalText_main+15
	CLRF       ?LocalText_main+16
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,240 :: 		porta=%00001000
	MOVLW      8
	MOVWF      PORTA+0
;MyProject.mbas,241 :: 		cnt=10  'reset delay stop
	MOVLW      10
	MOVWF      _cnt+0
;MyProject.mbas,242 :: 		cnt3=10  'delay
	MOVLW      10
	MOVWF      _cnt3+0
;MyProject.mbas,243 :: 		dec(cnt1)
	DECF       _cnt1+0, 1
;MyProject.mbas,244 :: 		delay_ms(500)
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L__main48:
	DECFSZ     R13+0, 1
	GOTO       L__main48
	DECFSZ     R12+0, 1
	GOTO       L__main48
	DECFSZ     R11+0, 1
	GOTO       L__main48
	NOP
	NOP
;MyProject.mbas,245 :: 		WordToStr(cnt1,count1)
	MOVF       _cnt1+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count1+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,246 :: 		Lcd_Out(1,12,count1)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count1+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,247 :: 		delay_ms(500)
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L__main49:
	DECFSZ     R13+0, 1
	GOTO       L__main49
	DECFSZ     R12+0, 1
	GOTO       L__main49
	DECFSZ     R11+0, 1
	GOTO       L__main49
	NOP
	NOP
;MyProject.mbas,249 :: 		if (cnt1=0) then
	MOVF       _cnt1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main51
;MyProject.mbas,250 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,251 :: 		uart1()
	CALL       _uart1+0
;MyProject.mbas,252 :: 		if (uart_rd=66) then  'emergency lane 1
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main188
	MOVLW      66
	XORWF      _uart_rd+0, 0
L__main188:
	BTFSS      STATUS+0, 2
	GOTO       L__main54
;MyProject.mbas,253 :: 		goto em1
	GOTO       L__main_em1
L__main54:
;MyProject.mbas,255 :: 		if (uart_rd=67) then  'emergency lane 2
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main189
	MOVLW      67
	XORWF      _uart_rd+0, 0
L__main189:
	BTFSS      STATUS+0, 2
	GOTO       L__main58
;MyProject.mbas,256 :: 		goto em2
	GOTO       L__main_em2
L__main58:
;MyProject.mbas,258 :: 		if (uart_rd=68) then  'emergency lane 3
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main190
	MOVLW      68
	XORWF      _uart_rd+0, 0
L__main190:
	BTFSS      STATUS+0, 2
	GOTO       L__main62
;MyProject.mbas,259 :: 		goto em3
	GOTO       L__main_em3
L__main62:
;MyProject.mbas,261 :: 		if (uart_rd=69) then  'emergency lane 4
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main191
	MOVLW      69
	XORWF      _uart_rd+0, 0
L__main191:
	BTFSS      STATUS+0, 2
	GOTO       L__main66
L__main66:
;MyProject.mbas,264 :: 		goto delay3
	GOTO       L__main_delay3
L__main51:
;MyProject.mbas,267 :: 		goto delay2 'loop to count
	GOTO       L__main_delay2
;MyProject.mbas,270 :: 		delay3:
L__main_delay3:
;MyProject.mbas,271 :: 		Lcd_Out(2,1,"MID SPEED FLIGHT")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      77
	MOVWF      ?LocalText_main+0
	MOVLW      73
	MOVWF      ?LocalText_main+1
	MOVLW      68
	MOVWF      ?LocalText_main+2
	MOVLW      32
	MOVWF      ?LocalText_main+3
	MOVLW      83
	MOVWF      ?LocalText_main+4
	MOVLW      80
	MOVWF      ?LocalText_main+5
	MOVLW      69
	MOVWF      ?LocalText_main+6
	MOVLW      69
	MOVWF      ?LocalText_main+7
	MOVLW      68
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	MOVLW      70
	MOVWF      ?LocalText_main+10
	MOVLW      76
	MOVWF      ?LocalText_main+11
	MOVLW      73
	MOVWF      ?LocalText_main+12
	MOVLW      71
	MOVWF      ?LocalText_main+13
	MOVLW      72
	MOVWF      ?LocalText_main+14
	MOVLW      84
	MOVWF      ?LocalText_main+15
	CLRF       ?LocalText_main+16
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,272 :: 		porta=%00000100
	MOVLW      4
	MOVWF      PORTA+0
;MyProject.mbas,274 :: 		dec(cnt2)
	DECF       _cnt2+0, 1
;MyProject.mbas,275 :: 		WordToStr(cnt2,count2)
	MOVF       _cnt2+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count2+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,276 :: 		Lcd_Out(1,12,count2)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count2+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,277 :: 		delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main69:
	DECFSZ     R13+0, 1
	GOTO       L__main69
	DECFSZ     R12+0, 1
	GOTO       L__main69
	DECFSZ     R11+0, 1
	GOTO       L__main69
	NOP
	NOP
;MyProject.mbas,279 :: 		if (cnt2=0) then
	MOVF       _cnt2+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main71
;MyProject.mbas,280 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,281 :: 		cnt1=6  'delay ready
	MOVLW      6
	MOVWF      _cnt1+0
;MyProject.mbas,282 :: 		goto delay4
	GOTO       L__main_delay4
L__main71:
;MyProject.mbas,284 :: 		goto delay3 'loo
	GOTO       L__main_delay3
;MyProject.mbas,288 :: 		delay4:
L__main_delay4:
;MyProject.mbas,289 :: 		Lcd_Out(2,1,"MID HIGH FLIGHT")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      77
	MOVWF      ?LocalText_main+0
	MOVLW      73
	MOVWF      ?LocalText_main+1
	MOVLW      68
	MOVWF      ?LocalText_main+2
	MOVLW      32
	MOVWF      ?LocalText_main+3
	MOVLW      72
	MOVWF      ?LocalText_main+4
	MOVLW      73
	MOVWF      ?LocalText_main+5
	MOVLW      71
	MOVWF      ?LocalText_main+6
	MOVLW      72
	MOVWF      ?LocalText_main+7
	MOVLW      32
	MOVWF      ?LocalText_main+8
	MOVLW      70
	MOVWF      ?LocalText_main+9
	MOVLW      76
	MOVWF      ?LocalText_main+10
	MOVLW      73
	MOVWF      ?LocalText_main+11
	MOVLW      71
	MOVWF      ?LocalText_main+12
	MOVLW      72
	MOVWF      ?LocalText_main+13
	MOVLW      84
	MOVWF      ?LocalText_main+14
	CLRF       ?LocalText_main+15
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,290 :: 		porta=%00000010
	MOVLW      2
	MOVWF      PORTA+0
;MyProject.mbas,291 :: 		dec(cnt3)
	DECF       _cnt3+0, 1
;MyProject.mbas,292 :: 		WordToStr(cnt3,count3)
	MOVF       _cnt3+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count3+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,293 :: 		Lcd_Out(1,12,count3)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count3+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,294 :: 		delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main74:
	DECFSZ     R13+0, 1
	GOTO       L__main74
	DECFSZ     R12+0, 1
	GOTO       L__main74
	DECFSZ     R11+0, 1
	GOTO       L__main74
	NOP
	NOP
;MyProject.mbas,296 :: 		if (cnt3=0) then
	MOVF       _cnt3+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main76
;MyProject.mbas,297 :: 		cnt=10  'delay stop
	MOVLW      10
	MOVWF      _cnt+0
;MyProject.mbas,298 :: 		cnt1=10  'delay ready
	MOVLW      10
	MOVWF      _cnt1+0
;MyProject.mbas,299 :: 		cnt2=10  'delay
	MOVLW      10
	MOVWF      _cnt2+0
;MyProject.mbas,300 :: 		uart1()
	CALL       _uart1+0
;MyProject.mbas,301 :: 		if (uart_rd=66) then  'emergency lane 1
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main192
	MOVLW      66
	XORWF      _uart_rd+0, 0
L__main192:
	BTFSS      STATUS+0, 2
	GOTO       L__main79
;MyProject.mbas,302 :: 		goto em1
	GOTO       L__main_em1
L__main79:
;MyProject.mbas,304 :: 		if (uart_rd=67) then  'emergency lane 2
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main193
	MOVLW      67
	XORWF      _uart_rd+0, 0
L__main193:
	BTFSS      STATUS+0, 2
	GOTO       L__main82
;MyProject.mbas,305 :: 		goto em2
	GOTO       L__main_em2
L__main82:
;MyProject.mbas,307 :: 		if (uart_rd=68) then  'emergency lane 3
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main194
	MOVLW      68
	XORWF      _uart_rd+0, 0
L__main194:
	BTFSS      STATUS+0, 2
	GOTO       L__main85
;MyProject.mbas,308 :: 		goto em3
	GOTO       L__main_em3
L__main85:
;MyProject.mbas,310 :: 		if (uart_rd=69) then  'emergency lane 4
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main195
	MOVLW      69
	XORWF      _uart_rd+0, 0
L__main195:
	BTFSS      STATUS+0, 2
	GOTO       L__main88
L__main88:
;MyProject.mbas,313 :: 		goto delay5
	GOTO       L__main_delay5
L__main76:
;MyProject.mbas,316 :: 		goto delay4 'loop to count
	GOTO       L__main_delay4
;MyProject.mbas,319 :: 		delay5:
L__main_delay5:
;MyProject.mbas,320 :: 		Lcd_Out(2,1," HIGH FLIGHT")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      32
	MOVWF      ?LocalText_main+0
	MOVLW      72
	MOVWF      ?LocalText_main+1
	MOVLW      73
	MOVWF      ?LocalText_main+2
	MOVLW      71
	MOVWF      ?LocalText_main+3
	MOVLW      72
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      70
	MOVWF      ?LocalText_main+6
	MOVLW      76
	MOVWF      ?LocalText_main+7
	MOVLW      73
	MOVWF      ?LocalText_main+8
	MOVLW      71
	MOVWF      ?LocalText_main+9
	MOVLW      72
	MOVWF      ?LocalText_main+10
	MOVLW      84
	MOVWF      ?LocalText_main+11
	CLRF       ?LocalText_main+12
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,321 :: 		porta=%00000001
	MOVLW      1
	MOVWF      PORTA+0
;MyProject.mbas,322 :: 		cnt=10 'reset counter for stop
	MOVLW      10
	MOVWF      _cnt+0
;MyProject.mbas,323 :: 		cnt1=10 'reset counter for ready to go
	MOVLW      10
	MOVWF      _cnt1+0
;MyProject.mbas,324 :: 		cnt3=10'reset timer for ready to stop
	MOVLW      10
	MOVWF      _cnt3+0
;MyProject.mbas,325 :: 		dec(cnt2)
	DECF       _cnt2+0, 1
;MyProject.mbas,326 :: 		WordToStr(cnt2,count2)
	MOVF       _cnt2+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count2+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,327 :: 		Lcd_Out(1,12,count2)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count2+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,328 :: 		delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main91:
	DECFSZ     R13+0, 1
	GOTO       L__main91
	DECFSZ     R12+0, 1
	GOTO       L__main91
	DECFSZ     R11+0, 1
	GOTO       L__main91
	NOP
	NOP
;MyProject.mbas,330 :: 		if (cnt2=0) then
	MOVF       _cnt2+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main93
;MyProject.mbas,331 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,332 :: 		cnt1=10  'delay ready
	MOVLW      10
	MOVWF      _cnt1+0
;MyProject.mbas,333 :: 		goto delay6
	GOTO       L__main_delay6
L__main93:
;MyProject.mbas,336 :: 		goto delay5 'loop to count
	GOTO       L__main_delay5
;MyProject.mbas,339 :: 		delay6:
L__main_delay6:
;MyProject.mbas,340 :: 		Lcd_Out(2,1," HIGH FLIGHT")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      32
	MOVWF      ?LocalText_main+0
	MOVLW      72
	MOVWF      ?LocalText_main+1
	MOVLW      73
	MOVWF      ?LocalText_main+2
	MOVLW      71
	MOVWF      ?LocalText_main+3
	MOVLW      72
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      70
	MOVWF      ?LocalText_main+6
	MOVLW      76
	MOVWF      ?LocalText_main+7
	MOVLW      73
	MOVWF      ?LocalText_main+8
	MOVLW      71
	MOVWF      ?LocalText_main+9
	MOVLW      72
	MOVWF      ?LocalText_main+10
	MOVLW      84
	MOVWF      ?LocalText_main+11
	CLRF       ?LocalText_main+12
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,341 :: 		porta=%00000001
	MOVLW      1
	MOVWF      PORTA+0
;MyProject.mbas,342 :: 		dec(cnt3)
	DECF       _cnt3+0, 1
;MyProject.mbas,343 :: 		WordToStr(cnt3,count3)
	MOVF       _cnt3+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count3+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,344 :: 		Lcd_Out(1,12,count3)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count3+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,345 :: 		delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main96:
	DECFSZ     R13+0, 1
	GOTO       L__main96
	DECFSZ     R12+0, 1
	GOTO       L__main96
	DECFSZ     R11+0, 1
	GOTO       L__main96
	NOP
	NOP
;MyProject.mbas,347 :: 		if (cnt3=0) then
	MOVF       _cnt3+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main98
;MyProject.mbas,349 :: 		cnt=10  'delay stop
	MOVLW      10
	MOVWF      _cnt+0
;MyProject.mbas,350 :: 		cnt1=10  'delay ready
	MOVLW      10
	MOVWF      _cnt1+0
;MyProject.mbas,351 :: 		cnt2=10  'delay
	MOVLW      10
	MOVWF      _cnt2+0
;MyProject.mbas,352 :: 		uart1()
	CALL       _uart1+0
;MyProject.mbas,353 :: 		if (uart_rd=66) then  'emergency lane 1
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main196
	MOVLW      66
	XORWF      _uart_rd+0, 0
L__main196:
	BTFSS      STATUS+0, 2
	GOTO       L__main101
;MyProject.mbas,354 :: 		goto em1
	GOTO       L__main_em1
L__main101:
;MyProject.mbas,356 :: 		if (uart_rd=67) then  'emergency lane 2
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main197
	MOVLW      67
	XORWF      _uart_rd+0, 0
L__main197:
	BTFSS      STATUS+0, 2
	GOTO       L__main104
;MyProject.mbas,357 :: 		goto em2
	GOTO       L__main_em2
L__main104:
;MyProject.mbas,359 :: 		if (uart_rd=68) then  'emergency lane 3
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main198
	MOVLW      68
	XORWF      _uart_rd+0, 0
L__main198:
	BTFSS      STATUS+0, 2
	GOTO       L__main107
;MyProject.mbas,360 :: 		goto em3
	GOTO       L__main_em3
L__main107:
;MyProject.mbas,362 :: 		if (uart_rd=69) then  'emergency lane 4
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main199
	MOVLW      69
	XORWF      _uart_rd+0, 0
L__main199:
	BTFSS      STATUS+0, 2
	GOTO       L__main110
L__main110:
;MyProject.mbas,366 :: 		goto delay7
	GOTO       L__main_delay7
L__main98:
;MyProject.mbas,369 :: 		goto delay6 'loop to count
	GOTO       L__main_delay6
;MyProject.mbas,372 :: 		delay7:
L__main_delay7:
;MyProject.mbas,373 :: 		Lcd_Out(2,1,"MID HIGH FLIGHT")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      77
	MOVWF      ?LocalText_main+0
	MOVLW      73
	MOVWF      ?LocalText_main+1
	MOVLW      68
	MOVWF      ?LocalText_main+2
	MOVLW      32
	MOVWF      ?LocalText_main+3
	MOVLW      72
	MOVWF      ?LocalText_main+4
	MOVLW      73
	MOVWF      ?LocalText_main+5
	MOVLW      71
	MOVWF      ?LocalText_main+6
	MOVLW      72
	MOVWF      ?LocalText_main+7
	MOVLW      32
	MOVWF      ?LocalText_main+8
	MOVLW      70
	MOVWF      ?LocalText_main+9
	MOVLW      76
	MOVWF      ?LocalText_main+10
	MOVLW      73
	MOVWF      ?LocalText_main+11
	MOVLW      71
	MOVWF      ?LocalText_main+12
	MOVLW      72
	MOVWF      ?LocalText_main+13
	MOVLW      84
	MOVWF      ?LocalText_main+14
	CLRF       ?LocalText_main+15
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,374 :: 		porta=%00000010
	MOVLW      2
	MOVWF      PORTA+0
;MyProject.mbas,375 :: 		cnt=20 'reset counter for stop
	MOVLW      20
	MOVWF      _cnt+0
;MyProject.mbas,376 :: 		cnt1=10  'reset counter for ready to go
	MOVLW      10
	MOVWF      _cnt1+0
;MyProject.mbas,377 :: 		cnt3=10 'reset timer for ready to stop
	MOVLW      10
	MOVWF      _cnt3+0
;MyProject.mbas,379 :: 		dec(cnt2)
	DECF       _cnt2+0, 1
;MyProject.mbas,380 :: 		WordToStr(cnt2,count2)
	MOVF       _cnt2+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count2+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,381 :: 		Lcd_Out(1,12,count2)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count2+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,382 :: 		delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main113:
	DECFSZ     R13+0, 1
	GOTO       L__main113
	DECFSZ     R12+0, 1
	GOTO       L__main113
	DECFSZ     R11+0, 1
	GOTO       L__main113
	NOP
	NOP
;MyProject.mbas,384 :: 		if (cnt2=0) then
	MOVF       _cnt2+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main115
;MyProject.mbas,385 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,386 :: 		cnt1=6  'delay ready
	MOVLW      6
	MOVWF      _cnt1+0
;MyProject.mbas,387 :: 		goto delay8
	GOTO       L__main_delay8
L__main115:
;MyProject.mbas,390 :: 		goto delay7 'loop to count
	GOTO       L__main_delay7
;MyProject.mbas,393 :: 		delay8:
L__main_delay8:
;MyProject.mbas,394 :: 		Lcd_Out(2,1,"LOW SPEED FLIGHT")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      76
	MOVWF      ?LocalText_main+0
	MOVLW      79
	MOVWF      ?LocalText_main+1
	MOVLW      87
	MOVWF      ?LocalText_main+2
	MOVLW      32
	MOVWF      ?LocalText_main+3
	MOVLW      83
	MOVWF      ?LocalText_main+4
	MOVLW      80
	MOVWF      ?LocalText_main+5
	MOVLW      69
	MOVWF      ?LocalText_main+6
	MOVLW      69
	MOVWF      ?LocalText_main+7
	MOVLW      68
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	MOVLW      70
	MOVWF      ?LocalText_main+10
	MOVLW      76
	MOVWF      ?LocalText_main+11
	MOVLW      73
	MOVWF      ?LocalText_main+12
	MOVLW      71
	MOVWF      ?LocalText_main+13
	MOVLW      72
	MOVWF      ?LocalText_main+14
	MOVLW      84
	MOVWF      ?LocalText_main+15
	CLRF       ?LocalText_main+16
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,395 :: 		porta=%00001000
	MOVLW      8
	MOVWF      PORTA+0
;MyProject.mbas,396 :: 		delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main118:
	DECFSZ     R13+0, 1
	GOTO       L__main118
	DECFSZ     R12+0, 1
	GOTO       L__main118
	DECFSZ     R11+0, 1
	GOTO       L__main118
	NOP
	NOP
;MyProject.mbas,397 :: 		porta=%00000010
	MOVLW      2
	MOVWF      PORTA+0
;MyProject.mbas,398 :: 		delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main119:
	DECFSZ     R13+0, 1
	GOTO       L__main119
	DECFSZ     R12+0, 1
	GOTO       L__main119
	DECFSZ     R11+0, 1
	GOTO       L__main119
	NOP
	NOP
;MyProject.mbas,399 :: 		porta=%00000100
	MOVLW      4
	MOVWF      PORTA+0
;MyProject.mbas,400 :: 		delay_ms(2000)
	MOVLW      21
	MOVWF      R11+0
	MOVLW      75
	MOVWF      R12+0
	MOVLW      190
	MOVWF      R13+0
L__main120:
	DECFSZ     R13+0, 1
	GOTO       L__main120
	DECFSZ     R12+0, 1
	GOTO       L__main120
	DECFSZ     R11+0, 1
	GOTO       L__main120
	NOP
;MyProject.mbas,401 :: 		porta=%00001000
	MOVLW      8
	MOVWF      PORTA+0
;MyProject.mbas,403 :: 		dec(cnt3)
	DECF       _cnt3+0, 1
;MyProject.mbas,404 :: 		WordToStr(cnt3,count3)
	MOVF       _cnt3+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count3+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,405 :: 		Lcd_Out(1,12,count3)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count3+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,406 :: 		delay_ms(1000)
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main121:
	DECFSZ     R13+0, 1
	GOTO       L__main121
	DECFSZ     R12+0, 1
	GOTO       L__main121
	DECFSZ     R11+0, 1
	GOTO       L__main121
	NOP
	NOP
;MyProject.mbas,408 :: 		if (cnt3=0) then
	MOVF       _cnt3+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main123
;MyProject.mbas,410 :: 		cnt=21  'delay stop
	MOVLW      21
	MOVWF      _cnt+0
;MyProject.mbas,411 :: 		cnt1=6  'delay ready
	MOVLW      6
	MOVWF      _cnt1+0
;MyProject.mbas,412 :: 		cnt2=21  'delay
	MOVLW      21
	MOVWF      _cnt2+0
;MyProject.mbas,413 :: 		uart1()
	CALL       _uart1+0
;MyProject.mbas,414 :: 		if (uart_rd=66) then  'emergency lane 1
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main200
	MOVLW      66
	XORWF      _uart_rd+0, 0
L__main200:
	BTFSS      STATUS+0, 2
	GOTO       L__main126
;MyProject.mbas,415 :: 		goto em1
	GOTO       L__main_em1
L__main126:
;MyProject.mbas,417 :: 		if (uart_rd=67) then  'emergency lane 2
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main201
	MOVLW      67
	XORWF      _uart_rd+0, 0
L__main201:
	BTFSS      STATUS+0, 2
	GOTO       L__main129
;MyProject.mbas,418 :: 		goto em2
	GOTO       L__main_em2
L__main129:
;MyProject.mbas,420 :: 		if (uart_rd=68) then  'emergency lane 3
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main202
	MOVLW      68
	XORWF      _uart_rd+0, 0
L__main202:
	BTFSS      STATUS+0, 2
	GOTO       L__main132
;MyProject.mbas,421 :: 		goto em3
	GOTO       L__main_em3
L__main132:
;MyProject.mbas,423 :: 		if (uart_rd=69) then  'emergency lane 4
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main203
	MOVLW      69
	XORWF      _uart_rd+0, 0
L__main203:
	BTFSS      STATUS+0, 2
	GOTO       L__main135
L__main135:
;MyProject.mbas,426 :: 		goto delay1
	GOTO       L__main_delay1
L__main123:
;MyProject.mbas,429 :: 		goto delay8 'loop to count
	GOTO       L__main_delay8
L__main39:
;MyProject.mbas,433 :: 		if (uart_rd=66) then
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main204
	MOVLW      66
	XORWF      _uart_rd+0, 0
L__main204:
	BTFSS      STATUS+0, 2
	GOTO       L__main138
;MyProject.mbas,434 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,435 :: 		counter()
	CALL       _counter+0
;MyProject.mbas,437 :: 		em1:
L__main_em1:
;MyProject.mbas,438 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,439 :: 		Lcd_Out(2,1,"EMERGENCY L1 Go") 'pc value 54          portd=%10011111               'forward
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      69
	MOVWF      ?LocalText_main+0
	MOVLW      77
	MOVWF      ?LocalText_main+1
	MOVLW      69
	MOVWF      ?LocalText_main+2
	MOVLW      82
	MOVWF      ?LocalText_main+3
	MOVLW      71
	MOVWF      ?LocalText_main+4
	MOVLW      69
	MOVWF      ?LocalText_main+5
	MOVLW      78
	MOVWF      ?LocalText_main+6
	MOVLW      67
	MOVWF      ?LocalText_main+7
	MOVLW      89
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	MOVLW      76
	MOVWF      ?LocalText_main+10
	MOVLW      49
	MOVWF      ?LocalText_main+11
	MOVLW      32
	MOVWF      ?LocalText_main+12
	MOVLW      71
	MOVWF      ?LocalText_main+13
	MOVLW      111
	MOVWF      ?LocalText_main+14
	CLRF       ?LocalText_main+15
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,441 :: 		dec(cnt4)
	DECF       _cnt4+0, 1
;MyProject.mbas,442 :: 		WordToStr(cnt4,count4)
	MOVF       _cnt4+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count4+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,443 :: 		Lcd_Out(1,12,count4)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count4+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,444 :: 		delay_ms(500)
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L__main140:
	DECFSZ     R13+0, 1
	GOTO       L__main140
	DECFSZ     R12+0, 1
	GOTO       L__main140
	DECFSZ     R11+0, 1
	GOTO       L__main140
	NOP
	NOP
;MyProject.mbas,445 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,448 :: 		if (cnt4=0) then
	MOVF       _cnt4+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main142
;MyProject.mbas,449 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,450 :: 		uart1()
	CALL       _uart1+0
;MyProject.mbas,451 :: 		if (uart_rd=65) then
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main205
	MOVLW      65
	XORWF      _uart_rd+0, 0
L__main205:
	BTFSS      STATUS+0, 2
	GOTO       L__main145
;MyProject.mbas,452 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,453 :: 		counter()
	CALL       _counter+0
;MyProject.mbas,454 :: 		goto delay8
	GOTO       L__main_delay8
L__main145:
;MyProject.mbas,456 :: 		counter()
	CALL       _counter+0
;MyProject.mbas,457 :: 		goto delay8
	GOTO       L__main_delay8
L__main142:
;MyProject.mbas,460 :: 		goto em1
	GOTO       L__main_em1
;MyProject.mbas,466 :: 		em2:
L__main_em2:
;MyProject.mbas,467 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,468 :: 		Lcd_Out(2,1,"EMERGENCY L2 Go") 'pc value 54          portd=%10011111               'forward
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      69
	MOVWF      ?LocalText_main+0
	MOVLW      77
	MOVWF      ?LocalText_main+1
	MOVLW      69
	MOVWF      ?LocalText_main+2
	MOVLW      82
	MOVWF      ?LocalText_main+3
	MOVLW      71
	MOVWF      ?LocalText_main+4
	MOVLW      69
	MOVWF      ?LocalText_main+5
	MOVLW      78
	MOVWF      ?LocalText_main+6
	MOVLW      67
	MOVWF      ?LocalText_main+7
	MOVLW      89
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	MOVLW      76
	MOVWF      ?LocalText_main+10
	MOVLW      50
	MOVWF      ?LocalText_main+11
	MOVLW      32
	MOVWF      ?LocalText_main+12
	MOVLW      71
	MOVWF      ?LocalText_main+13
	MOVLW      111
	MOVWF      ?LocalText_main+14
	CLRF       ?LocalText_main+15
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,470 :: 		L1stop()
	CALL       _L1stop+0
;MyProject.mbas,472 :: 		L2go()
	CALL       _L2go+0
;MyProject.mbas,474 :: 		L3stop()
	CALL       _L3stop+0
;MyProject.mbas,476 :: 		L4stop()
	CALL       _L4stop+0
;MyProject.mbas,477 :: 		dec(cnt4)
	DECF       _cnt4+0, 1
;MyProject.mbas,478 :: 		WordToStr(cnt4,count4)
	MOVF       _cnt4+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count4+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,479 :: 		Lcd_Out(1,12,count4)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count4+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,480 :: 		delay_ms(500)
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L__main150:
	DECFSZ     R13+0, 1
	GOTO       L__main150
	DECFSZ     R12+0, 1
	GOTO       L__main150
	DECFSZ     R11+0, 1
	GOTO       L__main150
	NOP
	NOP
;MyProject.mbas,481 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,484 :: 		if (cnt4=0) then
	MOVF       _cnt4+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main152
;MyProject.mbas,485 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,486 :: 		uart1()
	CALL       _uart1+0
;MyProject.mbas,487 :: 		if (uart_rd=65) then
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main206
	MOVLW      65
	XORWF      _uart_rd+0, 0
L__main206:
	BTFSS      STATUS+0, 2
	GOTO       L__main155
;MyProject.mbas,488 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,489 :: 		goto reset
	GOTO       L__main_reset
L__main155:
;MyProject.mbas,491 :: 		counter()
	CALL       _counter+0
;MyProject.mbas,492 :: 		goto delay2
	GOTO       L__main_delay2
L__main152:
;MyProject.mbas,495 :: 		goto em2
	GOTO       L__main_em2
;MyProject.mbas,503 :: 		em3:
L__main_em3:
;MyProject.mbas,504 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,505 :: 		Lcd_Out(2,1,"EMERGENCY L3 Go") 'pc value 54          portd=%10011111               'forward
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      69
	MOVWF      ?LocalText_main+0
	MOVLW      77
	MOVWF      ?LocalText_main+1
	MOVLW      69
	MOVWF      ?LocalText_main+2
	MOVLW      82
	MOVWF      ?LocalText_main+3
	MOVLW      71
	MOVWF      ?LocalText_main+4
	MOVLW      69
	MOVWF      ?LocalText_main+5
	MOVLW      78
	MOVWF      ?LocalText_main+6
	MOVLW      67
	MOVWF      ?LocalText_main+7
	MOVLW      89
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	MOVLW      76
	MOVWF      ?LocalText_main+10
	MOVLW      51
	MOVWF      ?LocalText_main+11
	MOVLW      32
	MOVWF      ?LocalText_main+12
	MOVLW      71
	MOVWF      ?LocalText_main+13
	MOVLW      111
	MOVWF      ?LocalText_main+14
	CLRF       ?LocalText_main+15
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,507 :: 		L1stop()
	CALL       _L1stop+0
;MyProject.mbas,509 :: 		L2stop()
	CALL       _L2stop+0
;MyProject.mbas,511 :: 		L3go()
	CALL       _L3go+0
;MyProject.mbas,513 :: 		L4stop()
	CALL       _L4stop+0
;MyProject.mbas,514 :: 		dec(cnt4)
	DECF       _cnt4+0, 1
;MyProject.mbas,515 :: 		WordToStr(cnt4,count4)
	MOVF       _cnt4+0, 0
	MOVWF      FARG_WordToStr_input+0
	CLRF       FARG_WordToStr_input+1
	MOVLW      _count4+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;MyProject.mbas,516 :: 		Lcd_Out(1,12,count4)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _count4+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MyProject.mbas,517 :: 		delay_ms(500)
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L__main160:
	DECFSZ     R13+0, 1
	GOTO       L__main160
	DECFSZ     R12+0, 1
	GOTO       L__main160
	DECFSZ     R11+0, 1
	GOTO       L__main160
	NOP
	NOP
;MyProject.mbas,518 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,521 :: 		if (cnt4=0) then
	MOVF       _cnt4+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main162
;MyProject.mbas,522 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,523 :: 		uart1()
	CALL       _uart1+0
;MyProject.mbas,524 :: 		if (uart_rd=65) then
	MOVLW      0
	XORWF      _uart_rd+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main207
	MOVLW      65
	XORWF      _uart_rd+0, 0
L__main207:
	BTFSS      STATUS+0, 2
	GOTO       L__main165
;MyProject.mbas,525 :: 		Lcd_Cmd(_LCD_CLEAR)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MyProject.mbas,526 :: 		goto reset
	GOTO       L__main_reset
L__main165:
;MyProject.mbas,528 :: 		counter()
	CALL       _counter+0
;MyProject.mbas,529 :: 		goto delay4
	GOTO       L__main_delay4
L__main162:
;MyProject.mbas,532 :: 		goto em3
	GOTO       L__main_em3
;MyProject.mbas,540 :: 		end if
L__main138:
;MyProject.mbas,542 :: 		end if
L__main34:
;MyProject.mbas,556 :: 		wend
	GOTO       L__main29
L_end_main:
	GOTO       $+0
; end of _main
